<?php
// Encoding: UTF-8 (without BOM) (auto-detect: °°°°°)
require('_head.inc.php');

// ----- Handle form requests and status messages -----
if (UnbUi::IsFormSuccess())
{
	UnbUi::RedirectAndExit('view_message.php?messageid=' . intval($_REQUEST['messageid']));
}
if (UnbUi::IsFormError())
{
	UnbUi::ReportError(UnbUi::GetFormErrorMessage());
}
if ($msg = UnbSession::GetVar('SuccessMessage', true))
{
	UnbUi::ReportSuccess($msg);
}

// ----- Load the message revision -----
$messageId = intval($_REQUEST['messageid']);
$revNum = intval($_REQUEST['revnum']);

if (!UnbUi::GetMsgRev($messageId, $revNum, $msg, $rev, $err))
{
	UnbUi::ReportError($err);
}
else
{
	?>
	<h1>Alter message</h1>

	<?php UnbUi::BeginForm('alter_message.php', true) ?>
	<?php UnbUi::FormMsgRev($messageId, $rev->GetRevisionNumber()) ?>

	<?php
	if (UnbUi::CanAlterMsg($msg, $rev))
	{
		?>
		<table cellspacing="0" class="full-width grid first-10em">
		<script type="text/javascript" src="editor-plaintype.js"></script>
		<tr>
			<td>Subject:</td>
			<td><?php UnbUi::MsgSubject(false, $msg, $rev, null, 'width: 45em;') ?></td>
		</tr>
		<tr>
			<td>Content:</td>
			<td>
				<?php UnbUi::MsgContent(false, $msg, $rev, null, 'float: left; width: 45em; margin-right: 1.5em;') ?>
				<?php UnbUi::Buttons() ?>
				<div style="clear: left;"></div>
			</td>
		</tr>
		<tr>
			<td>Changes summary:</td>
			<td><?php UnbUi::MsgSummary(null, 'width: 45em;') ?></td>
		</tr>
		</table>

		<a class="sectionToggle" id="attachedFileHeader" href="javascript:undefined">Attached file options</a>

		<div class="section" id="attachedFileDiv">
		<table cellspacing="0" class="full-width grid first-10em">
		<tr>
			<td>Attached file:</td>
			<td><?php UnbUi::MsgAttach(false) ?></td>
		</tr>
		</table>
		</div>

		<?php
	}
	elseif (UnbUi::CanSeeSubject($rev))
	{
		?>
		<table cellspacing="0" class="full-width grid first-10em">
		<tr>
			<td>Subject:</td>
			<td><?php echo htmlspecialchars($rev->GetSubject()) ?></td>
		</tr>
		</table>
		<?php
	}
	?>

	<?php
	if (UnbSession::IsModerator())
	{
		?>
		<a class="sectionToggle" id="msgPropsHeader" href="javascript:undefined">Message properties</a>

		<div class="section" id="msgPropsDiv">
		<table cellspacing="0" class="full-width grid first-10em">
		<tr>
			<td>Page name:</td>
			<td><?php UnbUi::MsgPageName($msg) ?></td>
		</tr>
		<tr>
			<td>Entry point:</td>
			<td><?php UnbUi::MsgDEP($msg) ?></td>
		</tr>
		</table>
		</div>

		<a class="sectionToggle" id="tagsHeader" href="javascript:undefined">Message revision tags</a>

		<div class="section" id="tagsDiv">
		<table cellspacing="0" class="full-width grid first-10em">
		<tr>
			<td>Tags:</td>
			<td><?php UnbUi::MsgTags($rev) ?></td>
		</tr>
		</table>
		</div>

		<a class="sectionToggle" id="msgModerationHeader" href="javascript:undefined">Message moderation</a>

		<div class="section" id="msgModerationDiv">
		<table cellspacing="0" class="full-width grid first-10em">
		<tr>
			<td>Message moderation:</td>
			<td><?php UnbUi::MsgModerateMsg($msg) ?></td>
		</tr>
		</table>
		</div>
		<?php
	}
	?>

	<?php
	if (UnbSession::IsAdministrator() || UnbUi::IsMsgOwner($msg))
	{
		?>
		<a class="sectionToggle" id="msgAccessHeader" href="javascript:undefined">Message access</a>

		<div class="section" id="msgAccessDiv">
		<table cellspacing="0" class="full-width grid first-10em">
		<tr>
			<td>Reading allowed to:</td>
			<td><?php UnbUi::MsgReadAccessList($msg, null, '', 'Everybody – click here to specify users') ?></td>
		</tr>
		<tr>
			<td>Alteration allowed to:</td>
			<td><?php UnbUi::MsgAlterAccessList($msg, null, '', 'Everybody – click here to specify users') ?></td>
		</tr>
		<tr>
			<td>Replying allowed to:</td>
			<td><?php UnbUi::MsgReplyAccessList($msg, null, '', 'Everybody – click here to specify users') ?></td>
		</tr>
		</table>
		</div>
		<?php
	}
	?>

	<table cellspacing="0" class="full-width grid first-10em">
	<tr>
		<td></td>
		<td colspan="2">
			<br />
			<input type="submit" class="default icon13 ok" value="Save changes" /> &nbsp;
			<a href="view_message.php?messageid=<?php echo $messageId ?>" class="buttonlike icon13 back">Back to message view</a>
			<?php
			if (UnbSession::IsModerator())
			{
				?>
				&nbsp; <a href="delete_message.php?messageid=<?php echo $messageId ?>" class="buttonlike icon13 delete">Go delete this message</a>
				<?php
			}
			?>
		</td>
	</tr>
	</table>
	<?php UnbUi::EndForm() ?>

	<script type="text/javascript">//<![CDATA[
	function toggleSection(id, state)
	{
		DOM.toggleClass("#" + id + "Header", "collapsed", -DOM.toggleVisible("#" + id + "Div", state));
	}

	["attachedFile", "msgProps", "tags", "msgModeration", "msgAccess"].each(function (id)
	{
		DOMEvents.add("#" + id + "Header", "click", function (e) { toggleSection(id); e.target.blur(); });
	});

	//$("#subjectTb").focus();
	toggleSection("attachedFile");
	toggleSection("msgProps");
	toggleSection("tags");
	toggleSection("msgModeration");
	toggleSection("msgAccess");
	//]]></script>

	<?php
}

require('_foot.inc.php');
?>