<?php
// Encoding: UTF-8 (without BOM) (auto-detect: °°°°°)
require('_head.inc.php');

// ----- Handle form requests and status messages -----
if (UnbUi::IsFormSuccess())
{
	UnbUi::RedirectAndExit('view_message.php?messageid=' . UnbUi::GetFormHandler()->GetNewMessage()->GetMessageId());
}
if (UnbUi::IsFormError())
{
	UnbUi::ReportError(UnbUi::GetFormErrorMessage());
}
if ($msg = UnbSession::GetVar('SuccessMessage', true))
{
	UnbUi::ReportSuccess($msg);
}

// ----- Load the base message revision -----
$messageId = intval($_REQUEST['replyto']);
$revNum = intval($_REQUEST['revnum']);

if ($messageId > 0 && !UnbUi::GetMsgRev($messageId, $revNum, $msg, $rev, $err))
{
	UnbUi::ReportError($err);
}
elseif ($messageId > 0 && !UnbUi::CanReplyMsg($msg, $rev))
{
	UnbUi::ReportError('Replying to this message is not allowed.');
}
else
{
	if (isset($msg))
		echo '<h1>Reply to a message</h1>';
	else
		echo '<h1>Create a new message</h1>';
	?>

	<?php UnbUi::BeginForm('create_message.php', true) ?>
	<?php UnbUi::FormReplyToMsg($messageId) ?>

	<table cellspacing="0" class="full-width grid first-10em">
	<script type="text/javascript" src="editor-plaintype.js"></script>
	<tr>
		<td class="vspace">Subject:</td>
		<td><?php UnbUi::MsgSubject(true, $msg, $rev, null, 'width: 45em;') ?></td>
	</tr>
	<tr>
		<td class="vspace">Content:</td>
		<td>
			<?php UnbUi::MsgContent(true, $msg, $rev, null, 'float: left; width: 45em; margin-right: 1.5em;') ?>
			<?php UnbUi::Buttons() ?>
			<div style="clear: left;"></div>
		</td>
	</tr>
	<tr>
		<td>Entry point:</td>
		<td><?php UnbUi::MsgDEP(!isset($msg)) ?></td>
	</tr>
	</table>

	<a class="sectionToggle" id="tagsHeader" href="javascript:undefined">Message revision tags</a>

	<div class="section" id="tagsDiv">
	<table cellspacing="0" class="grid first-10em">
	<tr>
		<td>Tags:</td>
		<td><?php UnbUi::MsgTags($rev) ?></td>
	</tr>
	</table>
	</div>

	<a class="sectionToggle" id="attachedFileHeader" href="javascript:undefined">Attached file options</a>

	<div class="section" id="attachedFileDiv">
	<table cellspacing="0" class="grid first-10em">
	<tr>
		<td class="vspace">Attached file:</td>
		<td><?php UnbUi::MsgAttach(true) ?></td>
	</tr>
	</table>
	</div>

	<?php
	if (UnbSession::IsModerator())
	{
		?>
		<a class="sectionToggle" id="msgPropsHeader" href="javascript:undefined">Message properties</a>

		<div class="section" id="msgPropsDiv">
		<table cellspacing="0" class="grid first-10em">
		<tr>
			<td class="vspace">Page name:</td>
			<td><?php UnbUi::MsgPageName() ?></td>
		</tr>
		</table>
		</div>

		<a class="sectionToggle" id="msgModerationHeader" href="javascript:undefined">Message moderation</a>

		<div class="section" id="msgModerationDiv">
		<table cellspacing="0" class="grid first-10em">
		<tr>
			<td>Message moderation:</td>
			<td><?php UnbUi::MsgModerateMsg() ?></td>
		</tr>
		</table>
		</div>
		<?php
	}
	?>

	<?php
	if (UnbSession::IsLoggedIn())
	{
		?>
		<a class="sectionToggle" id="msgAccessHeader" href="javascript:undefined">Message access</a>

		<div class="section" id="msgAccessDiv">
		<table cellspacing="0" class="grid first-10em">
		<tr>
			<td class="vspace">Reading allowed to:</td>
			<td><?php UnbUi::MsgReadAccessList(null, null, '', 'Everybody – click here to specify users') ?></td>
		</tr>
		<tr>
			<td class="vspace">Alteration allowed to:</td>
			<td><?php UnbUi::MsgAlterAccessList(array(UnbUserKey::Moderator, UnbSession::GetSessionUserId()), null, '', 'Everybody – click here to specify users') ?></td>
		</tr>
		<tr>
			<td class="vspace">Replying allowed to:</td>
			<td><?php UnbUi::MsgReplyAccessList(null, null, '', 'Everybody – click here to specify users') ?></td>
		</tr>
		</table>
		</div>
		<?php
	}
	?>

	<?php
	if (!UnbSession::IsLoggedIn())
	{
		?>
		<input type="hidden" name="action[]" value="login" />
		<input type="hidden" name="implicit_register" value="1" />

		<h2>Register a new account</h2>

		<p>
		You are not currently logged in to write this message. In order to submit a message, you must be logged in or register an account. To register, please enter your name in the field below. After your message has been submitted, you are persistently logged in with your newly registered account. You can set a login name and a password for your account then to be able to use it from other computers.
		</p>

		<p class="warningbox">
		<strong>Attention:</strong> After this registration, you are logged in with a cookie. You cannot log in with a username and password after logout or on another computer until you set them in your account control. If you log out before, you permanently <strong>lose access</strong> to your new account! You may wish to not post now if you are on a public computer.
		</p>

		<table cellspacing="0" class="grid first-10em">
		<tr>
			<td class="vspace">Your name:</td>
			<td><?php UnbUi::UserDisplayName() ?></td>
			<td class="form-description">This name will be displayed above your messages. It is independent from your login name.</td>
		</tr>
		<?php
		if (UnbUi::IsCaptchaEnabled())
		{
			?>
			<tr>
				<td>Validation:</td>
				<td><?php UnbUi::Captcha() ?></td>
				<td class="form-description">You are asked to perform this small test to prove that you are a human and not a spam robot. <a href="http://en.wikipedia.org/wiki/CAPTCHA">More information...</a></td>
			</tr>
			<?php
		}
		?>
		</table>
		<?php
	}
	?>

	<table cellspacing="0" class="grid first-10em">
	<tr>
		<td></td>
		<td colspan="2">
			<br />
			<?php
			if (UnbSession::IsLoggedIn())
			{
				if (isset($msg))
					$label = 'Create reply message';
				else
					$label = 'Create new message';
			}
			else
			{
				if (isset($msg))
					$label = 'Register account and create reply message';
				else
					$label = 'Register account and create new message';
			}
			?>
			<input type="submit" class="default icon13 ok" value="<?php echo $label ?>" />
		</td>
	</tr>
	</table>
	<?php UnbUi::EndForm() ?>

	<script type="text/javascript">//<![CDATA[
	function toggleSection(id, state)
	{
		DOM.toggleClass("#" + id + "Header", "collapsed", -DOM.toggleVisible("#" + id + "Div", state));
	}

	["attachedFile", "msgProps", "tags", "msgModeration", "msgAccess"].each(function (id)
	{
		DOMEvents.add("#" + id + "Header", "click", function (e) { toggleSection(id); e.target.blur(); });
	});

	//$("#subjectTb").focus();
	toggleSection("attachedFile");
	toggleSection("msgProps");
	<?php
	if ($messageId)
	{
		?>
		toggleSection("tags");
		<?php
	}
	?>
	toggleSection("msgModeration");
	toggleSection("msgAccess");
	//]]></script>

	<?php
}

require('_foot.inc.php');
?>