<?php
// Encoding: UTF-8 (without BOM) (auto-detect: °°°°°)
require('_head.inc.php');

// ----- Handle form requests and status messages -----
if (UnbUi::IsFormSuccess())
{
	UnbSession::SetVar('SuccessMessage', 'Tag deleted');
	UnbUi::RedirectAndExit('list_tags.php');
}
if (UnbUi::IsFormError())
{
	UnbUi::ReportError(UnbUi::GetFormErrorMessage());
}

// ----- Load the tag -----
$tag = UnbTag::FindByTagId(intval($_REQUEST['tagid']));
if (!UnbSession::IsModerator())
{
	UnbUi::ReportError('Access denied');
}
if (!isset($tag))
{
	UnbUi::ReportError('Invalid tag ID');
}
else
{
	?>
	<h1>Delete a tag</h1>

	<p>
	Tag name: <strong><?php echo htmlspecialchars($tag->GetTagName()) ?></strong>
	</p>

	<p>
	To permanently delete this tag, press the button below. All access lists and message associations for this tag will be deleted automatically.
	</p>

	<?php UnbUi::BeginForm() ?>
	<?php UnbUi::FormTag($tag->GetTagId()) ?>
	<input type="hidden" name="action[]" value="delete_tag" />

	<p>
	<input type="submit" class="default icon13 delete" value="Delete this tag" /> &nbsp;
	<a href="list_tags.php" class="buttonlike icon13 back">Back to tags list</a>
	</p>
	<?php UnbUi::EndForm() ?>

	<?php
}

require('_foot.inc.php');
?>