<?php
// UNB Components Merger
// Copyright 2005-9 by Yves Goergen
// Website: http://unclassified.de/
// Licence: GNU General Public License (GPL) Version 3
//
// This little script reads all UNB Components source files, strips out comments and obviously
// unnecessary white-space and merges all classes into a single file. This file can be parsed and
// cached by PHP more efficiently and thus leads to improved overall performance of UNBC
// applications.

// ---------- Begin of configuration ----------

$inputPath = '../unb_lib';
$inputFiles = array(
	'unb.class.php',
	'database.class.php',
	'configuration.class.php',
	'user.class.php',
	'tag.class.php',
	'message.class.php',
	'messagerevision.class.php',
	'session.class.php',
	'environment.class.php',
	'search.class.php',
	'markup.class.php',
	'formhandler.class.php',
	'captcha.class.php',
	'ui.class.php'
	);
$outputFile = '../unb_lib/unb_all.lib.php';

// ---------- End of configuration ----------

$lines = array();
foreach ($inputFiles as $filename)
{
	$lines = array_merge($lines, file($inputPath . '/' . $filename));
}

// Read license header from first file
$license = array();
for ($i = 0; !preg_match('_^// .+_', $lines[$i]); $i++)
{
}
for (; preg_match('_^// .+_', $lines[$i]); $i++)
{
	$license[] = trim($lines[$i]);
}

$outlines = array();
for ($i = 0; $i < count($lines); $i++)
{
	$line = $lines[$i];

	$line = trim($line);
	$line = preg_replace('_(^\s*|   )//( .+)?$_', '', $line);   // PHP comments
	$line = preg_replace('_^\s*#.*$_', '', $line);   // PHP comments
	$line = preg_replace('_^\s*}\s*(//|#)\s*class .+$_', '}', $line);   // PHP comments: class names
	$line = preg_replace('_   -- (.+)[^;]$_', '', $line);   // SQL comments (be careful with the -- operator in PHP code!)
	$line = preg_replace('~^if\s*\(!class_exists\(\'Unb[A-Za-z]+\'(,\s*false)?\)\)\s*require_once\s+dirname\(__FILE__\) . \'/[a-z]+.class.php\';$~', '', $line);
	$line = trim($line);

	// Merge immediately connected PHP regions (originally from different files now glued together)
	if ($line == '?>' && trim($lines[$i + 1]) == '<?php')
	{
		$i++;
		continue;
	}

	if ($line != '') $outlines[] = $line;
}

// Insert license header in output file
for ($i = 0; !preg_match('_<?php_i', $outlines[$i]); $i++)
{
}
$i++;
$outlines1 = array_slice($outlines, 0, $i);
$outlines2 = array_slice($outlines, $i);
$outlines = array_merge($outlines1, $license, $outlines2);

$fp = fopen($outputFile, 'w');
fwrite($fp, join("\n", $outlines));
fclose($fp);
?>